Package org.eclipse.gef.mvc.fx.parts

# Class CircleSegmentHandlePart

java.lang.Object
org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
org.eclipse.gef.mvc.fx.parts.AbstractHandlePart<N>
org.eclipse.gef.mvc.fx.parts.AbstractSegmentHandlePart<javafx.scene.shape.Circle>
org.eclipse.gef.mvc.fx.parts.CircleSegmentHandlePart

All Implemented Interfaces:
  `Comparable<AbstractSegmentHandlePart<? extends javafx.scene.Node>>`, `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IHandlePart<javafx.scene.shape.Circle>`, `IVisualPart<javafx.scene.shape.Circle>`

public class CircleSegmentHandlePart extends AbstractSegmentHandlePart<javafx.scene.shape.Circle>
The `CircleSegmentHandlePart` is an `AbstractSegmentHandlePart` that uses `Circle` for the visualization.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final double`
`DEFAULT_SIZE`
The default size for this part's visualization.

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`CircleSegmentHandlePart()`

## Method Summary

Modifier and Type
Method
Description
`protected javafx.scene.shape.Circle`
`doCreateVisual()`
Creates the visual representation of this selection handle.
`void`
`doRefreshVisual(javafx.scene.shape.Circle visual)`
Refreshes this part's visualization based on this part's content.
`protected void`
`updateColor()`
Updates the color of this part's visualization.

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractSegmentHandlePart

`compareTo, getBezierSegmentInParent, getConnectedFill, getInsertFill, getMoveFill, getPosition, getSegmentCount, getSegmentIndex, getSegmentParameter, getSegmentsInScene, getStroke, setSegmentIndex, setSegmentParameter, setSegmentsProvider, updateLocation`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractHandlePart

`doAddChildVisual, doAttachToAnchorageVisual, doDetachFromAnchorageVisual, doRemoveChildVisual`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doActivate, doDeactivate, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, register, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregister, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

## Field Details

### DEFAULT_SIZE

protected static final double DEFAULT_SIZE
The default size for this part's visualization.

See Also:
  - Constant Field Values

## Constructor Details

### CircleSegmentHandlePart

public CircleSegmentHandlePart()

## Method Details

### doCreateVisual

protected javafx.scene.shape.Circle doCreateVisual()
Creates the visual representation of this selection handle.

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<javafx.scene.shape.Circle>`
Returns:
  `Node` representing the handle visually

### doRefreshVisual

public void doRefreshVisual(javafx.scene.shape.Circle visual)
Description copied from class: `AbstractVisualPart`
Refreshes this part's visualization based on this part's content.

Overrides:
  `doRefreshVisual` in class `AbstractSegmentHandlePart<javafx.scene.shape.Circle>`
Parameters:
  `visual` - This part's visual.

### updateColor

protected void updateColor()
Updates the color of this part's visualization. If this handle part represents a way or end point of an `Connection`, it's color will be set to indicate whether the handle is connected to another part or not.